#!/system/bin/sh
#
# the "work email" app needs to be moved from /system/app to
# /data/app, but android will complain about the certificate.
# this will nuke the entry from packages.xml so the move works.
#
# handling xml in bash, yay.
# 
IN_PACKAGES=0;
PACKAGES=/data/system/packages.xml

if [ -e $PACKAGES ];
then

	cat $PACKAGES | while read line;
	do
		if [ "$IN_PACKAGES" = "0" ];
		then
			if ( echo $line | grep 'package name=\"com.htc.android.mail\" codePath=\"\/system\/app\/Mail\.apk\"' > /dev/null );
			then
				IN_PACKAGES=1;
			else
				echo $line;
			fi
		else
			if [ "$line" = "</package>" ];
			then
				IN_PACKAGES=0;
			fi
		fi;
	done > $PACKAGES.tmp;

	mv $PACKAGES.tmp $PACKAGES;

fi;
